<?php

namespace Et\CommingSoonPage;

/**
 * Assets handlers class
 */
class Assets {

    /**
     * Class constructor
     */
    function __construct() {
        add_action( 'wp_enqueue_scripts', [ $this, 'register_assets' ] );
        add_action( 'admin_enqueue_scripts', [ $this, 'register_assets' ] );
    }

    /**
     * All available scripts
     *
     * @return array
     */
    public function get_scripts() {
        return [
            // 'et-coming-soon-page-script' => [
            //     'src'     => ET_SOCIALSHARE_ASSETS . '/js/frontend.js',
            //     'version' => filemtime( ET_SOCIALSHARE_PATH . '/assets/js/frontend.js' ),
            //     'deps'    => [ 'jquery' ]
            // ]
        ];
    }

    /**
     * All available styles
     *
     * @return array
     */
    public function get_styles() {
        return [
            // 'et-coming-soon-page-style' => [
            //     'src'     => ET_SOCIALSHARE_ASSETS . '/css/frontend.css',
            //     'version' => filemtime( ET_SOCIALSHARE_PATH . '/assets/css/frontend.css' )
            // ],
            'et-coming-soon-page-backend-style' => [
                'src'     => ET_SOCIALSHARE_ASSETS . '/css/backend.css',
                'version' => filemtime( ET_SOCIALSHARE_PATH . '/assets/css/backend.css' )
            ],
            'et-coming-soon-page-icons' => [
                'src'     => ET_SOCIALSHARE_ASSETS . '/css/et-ess-icons.css',
                'version' => filemtime( ET_SOCIALSHARE_PATH . '/assets/css/et-ess-icons.css' )
            ]
        ];
    }

    /**
     * Register scripts and styles
     *
     * @return void
     */
    public function register_assets() {
        $scripts = $this->get_scripts();
        $styles  = $this->get_styles();

        foreach ( $scripts as $handle => $script ) {
            $deps = isset( $script['deps'] ) ? $script['deps'] : false;

            wp_register_script( $handle, $script['src'], $deps, $script['version'], true );
        }

        foreach ( $styles as $handle => $style ) {
            $deps = isset( $style['deps'] ) ? $style['deps'] : false;

            wp_register_style( $handle, $style['src'], $deps, $style['version'] );
        }
    }
}