<?php

namespace Et\CommingSoonPage\Backend;

/**
 * settings page handeler
 */
class Settings
{

    public function settinge_page()
    {
        $template = __DIR__ . '/Views/settings.php';

        if (file_exists($template)) {
            include $template;
        }
        else{
            wp_die($template.' View file not exists!!!');
        }
    }

    /**
     * Handel the form
     */
    public function form_handler()
    {
        if (!isset($_POST['update_options'])) {
            return;
        }

        if (!wp_verify_nonce($_POST['_wpnonce'], 'update-options')) {
            wp_die('Unauthoraized activity detected!!!');
        }

        if (!current_user_can('manage_options')) {
            wp_die('You do not have permission to execute this operation.');
        }

        $general_settings = array();
        if (isset($_POST["is_active"])) {
            $general_settings["is_active"] = 1;
        }
        if (isset($_POST["company_name"])) {
            $general_settings["company_name"] = sanitize_text_field($_POST["company_name"]);
        }
        if (isset($_POST["message"])) {
            $general_settings["message"] = sanitize_text_field($_POST["message"]);
        }
        if (isset($_POST["comeback_time"])) {
            $general_settings["comeback_time"] = sanitize_text_field($_POST["comeback_time"]);
        }

        update_option('et_coming_soon_page_general_settings', $general_settings);
        // var_dump($_POST);        
        // exit;
    }
}
